summarylogtreecommitdiffstats
path: root/Xsession
diff options
context:
space:
mode:
Diffstat (limited to 'Xsession')
-rw-r--r--Xsession71
1 files changed, 71 insertions, 0 deletions
diff --git a/Xsession b/Xsession
new file mode 100644
index 000000000000..deba98d723b9
--- /dev/null
+++ b/Xsession
@@ -0,0 +1,71 @@
+#!/bin/sh
+#
+# LXDM wrapper to run around X sessions.
+
+echo "Running X session wrapper"
+
+if [ $# -eq 1 -a -n "$1" ]; then
+ LXSESSION=$1
+else
+# default session
+ LXSESSION=/usr/bin/startlxde
+fi
+
+# Load profile
+for file in "/etc/profile" "$HOME/.profile" "/etc/xprofile" "$HOME/.xprofile"; do
+ if [ -f "$file" ]; then
+ echo "Loading profile from $file";
+ . "$file"
+ fi
+done
+
+# Load resources
+for file in "/etc/X11/Xresources" "$HOME/.Xresources"; do
+ if [ -f "$file" ]; then
+ echo "Loading resource: $file"
+ xrdb -nocpp -merge "$file"
+ fi
+done
+
+# Load keymaps
+for file in "/etc/X11/Xkbmap" "$HOME/.Xkbmap"; do
+ if [ -f "$file" ]; then
+ echo "Loading keymap: $file"
+ setxkbmap `cat "$file"`
+ XKB_IN_USE=yes
+ fi
+done
+
+# Load xmodmap if not using XKB
+if [ -z "$XKB_IN_USE" ]; then
+ for file in "/etc/X11/Xmodmap" "$HOME/.Xmodmap"; do
+ if [ -f "$file" ]; then
+ echo "Loading modmap: $file"
+ xmodmap "$file"
+ fi
+ done
+fi
+
+unset XKB_IN_USE
+
+# Run all system xinitrc shell scripts.
+xinitdir="/etc/X11/xinit/xinitrc.d"
+if [ -d "$xinitdir" ]; then
+ for script in $xinitdir/*; do
+ echo "Loading xinit script $script"
+ if [ -x "$script" -a ! -d "$script" ]; then
+ . "$script"
+ fi
+ done
+fi
+
+echo "X session wrapper complete, running session $LXSESSION"
+
+if ! [ -z "$XDG_SESSION_COOKIE" ]; then
+ CK_XINIT_SESSION=
+elif [ -x /usr/bin/ck-launch-session ]; then
+ CK_XINIT_SESSION="/usr/bin/ck-launch-session"
+fi
+
+exec -l $SHELL -c "$CK_XINIT_SESSION \"$LXSESSION\""
+